{% load widget_tweaks %}
<div class="form-group bmd-form-group">
        {% if field.field.widget.input_type != "file" %}
        {{ field.label_tag }}
        {% endif %}

        {% if form.is_bound %}
            {% if field.errors %}
                {% render_field field class="form-control is-invalid" %}
                {% for error in field.errors %}
                <div class="invalid-feedback">
                    {{ error }}
                </div>
                {% endfor %}
            {% else %}
                {% render_field field class="form-control is-valid" %}
            {% endif %}
        {% else %}
            {% if field.field.widget.input_type == "select" %}
                {% render_field field class="selectpicker col-md-12 px-0" data-style="select-with-transition" %}
            {% else %}
                {% render_field field class="form-control" %}
            {% endif %}
        {% endif %}

        {% if field.help_text %}
            <small class="form-text text-muted">{{ field.help_text }}</small>
        {% endif %}
    </div>